#!/bin/sh
# Updated : September 18, 2017
# Author  : Romnick C. Coros

. /tmp/openit-cfg-shenv

LIBEXEC="$ROOT_DIR/libexec"
HTTPDCONF="$CONFIG_DIR/httpd/httpd.conf"
PHPINI="/etc/opt/openit/php.ini"
FOLDER=""
releases=( /etc/*release )
OSVERSION=`cat ${releases[0]} | grep -oP '(?<=release )[0-9]+'`

#Check which architecture we have
if [ `uname` = "Linux" ]; then
	#Copy the new php binary
	if [ `uname -p` = "i686" ]; then
		FOLDER="i686-redhat-linux"
	else
		FOLDER="x86_64-unknown-linux"
	fi
fi

if [ $OSVERSION -eq 5 ]; then
    #Copy the new binary to the installation
    cp files/bin/$FOLDER/php "$LIBEXEC/$FOLDER/bin/php"
    cp files/bin/$FOLDER/httpd "$LIBEXEC/$FOLDER/bin/httpd"
    
    #Copy the new library to the installation
    cp files/lib/$FOLDER/ixed.7.1.lin "$LIBEXEC/$FOLDER/lib/ixed.7.1.lin"
    
    
    #Set Replace ixed.7.0.lin with ixed.7.1.lin
    sed -i -e 's/ixed.7.0.lin/ixed.7.1.lin/g' $PHPINI
else
	echo "Patch is for RHEL/CentOS 5 only. Not copying files."
fi
